---
title: HTMLTrackElement.src
slug: Web/API/HTMLTrackElement/src
tags:
  - HTML
  - HTML DOM
  - HTMLTrackElement
  - Property
  - Reference
  - Web
  - WebVTT
  - src
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLTrackElement.src</code></strong> property reflects the value of the {{HTMLElement("track")}} element's {{htmlattrxref("src", "track")}} attribute, which indicates the URL of the text track's data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>textTrackURL</em> = <em>HTMLTrackElement</em>.src;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} object containing the URL of the text track data.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// coming soon
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "embedded-content.html#dom-track-src", "HTMLTrackElement.src")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#dom-track-src", "HTMLTrackElement.src")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLTrackElement.src")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLTrackElement")}}.</li>
 <li>{{HTMLElement("track")}}</li>
</ul>
